Subject: bug#78298: [PATCH] Scroll with mouse wheel in calendar

From: Manuel Giraud <[email-masked]>
Date: Fri, 16 May 2025 21:19:32 +0200

Eli Zaretskii <[email-masked]> writes:

>> From: Manuel Giraud <[email-masked]>
>> Cc: [email-masked],  [email-masked],  [email-masked]
>> Date: Fri, 16 May 2025 15:59:10 +0200
>> 
>> Eli Zaretskii <[email-masked]> writes:
>> 
>> >> +(defun calendar-scroll-left-year (arg &optional event)
>> >> +  "Scroll the displayed calendar window left by 12*ARG months.
>> >> +If ARG is negative the calendar is scrolled right.
>> >
>> > Bother: the first and the 2nd sentences contradict each other.  Are we
>> > scrolling the window or the text shown in the window?  Their
>> > directions are opposite.
>> 
>> No they do not contradict: a negative argument on scroll-left command
>> will actually scroll right and vice versa.
>
> We are mis-communicating, I think.  My point was that the first
> sentence talks about scrolling the window, the second one about the
> calendar (i.e. the text).  

Ah ok, sorry about that.  It is the calendar (the text) that is scroll
in all these commands.  I have copy pasted the docstring from another of
the scroll command.  I think we should fix all of them.
-- 
Manuel Giraud